'use strict';

var _require = require('jade');

var render = _require.render;

var _require2 = require('babel-core');

var transform = _require2.transform;

module.exports = function () {
  return {
    visitor: {
      TemplateLiteral: function TemplateLiteral(path, state) {
        if (path.parent.tag !== undefined) {
          if (path.parent.tag.name === 'jade') {
            var raw = path.node.quasis[0].value.raw;

            var html = render(raw).replace(/"\{/g, '{').replace(/\}"/g, '}').replace(/class="/g, 'className="').replace(/for="/, 'htmlFor="');

            var _transform = transform(html, {
              presets: ['react']
            });

            var code = _transform.code;

            path.parentPath.replaceWithSourceString(code.replace(/;/g, ''));
          }
        }
      }
    }
  };
};